#include <bits/stdc++.h>

using namespace std;

int brc(int n){
    int br=0;
    while(n!=0){
        br++;
        n/=10;
    }
    return br;
}

int kvad(int x, int y){
    int s=1;
    for(int i=1;i<y;i++){
        s*=x;
    }
    return s;
}

int main()
{
    int v;
    int br=0;
    scanf("%d",&v);
    int kv=brc(v);
    int i=5;
    while(v!=0){
        while(v-(i*kvad(10,kv))>=0){
            v-=i*kvad(10,kv);
            br++;
        }
        i/=2;

        if(i==0 && kv>1){
            kv--;
            i=5;
        }
    }
    printf("%d",br);
    return 0;
}